Bug 177926 - Avoid allocating useless landingBlocks in DFGByteCodeParser::handleInlining()
Summary: Avoid allocating useless landingBlocks in DFGByteCodeParser::handleInlining()
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Robin Morisset
URL:
Keywords: InRadar
Depends on: 177922
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-05 02:52 PDT by Robin Morisset
Modified: 2017-10-10 17:10 PDT (History)
8 users (show)

See Also:


Attachments
Patch (14.40 KB, patch)
2017-10-06 09:01 PDT, Robin Morisset
no flags Details | Formatted Diff | Diff
Patch (14.50 KB, patch)
2017-10-09 17:58 PDT, Robin Morisset
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews105 for mac-elcapitan-wk2 (1.43 MB, application/zip)
2017-10-09 19:12 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews101 for mac-elcapitan (2.60 MB, application/zip)
2017-10-09 20:10 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (991.81 KB, application/zip)
2017-10-09 20:15 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-elcapitan (2.86 MB, application/zip)
2017-10-09 20:31 PDT, Build Bot
no flags Details
Patch (15.20 KB, patch)
2017-10-10 09:11 PDT, Robin Morisset
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Morisset 2017-10-05 02:52:29 PDT
In the polyvariant case, handleInlining allocates a separate landingBlock for each inlined callee, and then links them to a continuationBlock.
https://bugs.webkit.org/show_bug.cgi?id=177922 use of m_continuationBlock in the inlineStackEntry give us a way to avoid this, and have all the returns from the callees go directly to the continuationBlock.
One slight difficulty is that we will have to special case inlined intrinsics to keep their landingBlock, so that they still have somewhere to call processSetLocalQueue.
Comment 1 Robin Morisset 2017-10-06 09:01:00 PDT
Created attachment 323021 [details]
Patch
Comment 2 Robin Morisset 2017-10-06 09:04:24 PDT
The patch does not apply because it builds on top of my patch to https://bugs.webkit.org/show_bug.cgi?id=177922 on which it depends.
It was tested on JSTests/stress and passed all tests.
Comment 3 Robin Morisset 2017-10-09 17:58:58 PDT
Created attachment 323259 [details]
Patch
Comment 4 Build Bot 2017-10-09 18:00:05 PDT
Attachment 323259 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/dfg/DFGByteCodeParser.cpp:6148:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Build Bot 2017-10-09 18:54:24 PDT
Comment on attachment 323259 [details]
Patch

Attachment 323259 [details] did not pass jsc-ews (mac):
Output: http://webkit-queues.webkit.org/results/4807146

New failing tests:
stress/const-loop-semantics.js.ftl-eager
microbenchmarks/array-prototype-map.js.ftl-no-cjit-no-put-stack-validate
wasm.yaml/wasm/function-tests/memory-access-past-4gib.js.wasm-slow-memory
stress/array-species-config-array-constructor.js.ftl-eager-no-cjit-b3o1
microbenchmarks/delta-blue-try-catch.js.ftl-eager-no-cjit
stress/arrowfunction-lexical-bind-superproperty.js.ftl-no-cjit-b3o1
microbenchmarks/array-prototype-reduceRight.js.ftl-no-cjit-validate-sampling-profiler
stress/weird-equality-folding-cases.js.ftl-no-cjit-no-inline-validate
stress/v8-deltablue-strict.js.ftl-no-cjit-b3o1
stress/const-not-strict-mode.js.ftl-eager
stress/spread-non-array.js.ftl-no-cjit-no-inline-validate
stress/proxy-set-prototype-of.js.ftl-eager-no-cjit
microbenchmarks/fold-put-structure.js.ftl-eager
stress/v8-deltablue-strict.js.ftl-eager-no-cjit
jsc-layout-tests.yaml/js/slow-stress/script-tests/array-prototype-filter.js.default
microbenchmarks/array-prototype-forEach.js.ftl-no-cjit-validate-sampling-profiler
v8-v6/v8-deltablue.js.ftl-no-cjit-b3o1
microbenchmarks/getter-richards-try-catch.js.default
wasm.yaml/wasm/function-tests/memory-access-past-4gib.js.default-wasm
stress/typedarray-configure-index.js.ftl-eager-no-cjit
stress/eval-func-decl-block-with-var-sinthesize.js.ftl-eager
basic-tests.yaml/stress-test.js.ftl-eager-no-cjit
stress/arrowfunction-lexical-bind-arguments-non-strict-2.js.ftl-eager-no-cjit
stress/arrowfunction-tdz-2.js.ftl-no-cjit-no-inline-validate
stress/type-of-functions-and-objects.js.ftl-no-cjit-no-inline-validate
microbenchmarks/delta-blue-try-catch.js.ftl-no-cjit-validate-sampling-profiler
stress/v8-deltablue-strict.js.default
microbenchmarks/array-prototype-every.js.ftl-no-cjit-validate-sampling-profiler
microbenchmarks/delta-blue-try-catch.js.ftl-no-cjit-no-put-stack-validate
wasm.yaml/wasm/js-api/export-arity.js.wasm-no-cjit-yes-tls-context
microbenchmarks/deltablue-for-of.js.ftl-no-cjit-no-inline-validate
stress/with.js.ftl-eager-no-cjit-b3o1
stress/spread-calling.js.ftl-no-cjit-b3o1
stress/constant-folding-osr-exit.js.ftl-no-cjit-no-put-stack-validate
microbenchmarks/array-prototype-map.js.ftl-no-cjit-b3o1
microbenchmarks/array-prototype-reduceRight.js.ftl-no-cjit-no-put-stack-validate
stress/v8-deltablue-strict.js.ftl-no-cjit-no-put-stack-validate
stress/weird-equality-folding-cases.js.ftl-no-cjit-b3o1
stress/poly-call-exit-this.js.ftl-no-cjit-no-put-stack-validate
stress/spread-non-array.js.default
stress/with.js.ftl-no-cjit-no-inline-validate
stress/fold-multi-put-by-offset-to-put-by-offset-without-folding-the-structure-check.js.ftl-eager-no-cjit-b3o1
microbenchmarks/array-prototype-some.js.ftl-no-cjit-no-put-stack-validate
microbenchmarks/fake-iterators-that-throw-when-finished.js.ftl-no-cjit-validate-sampling-profiler
stress/arrowfunction-lexical-bind-arguments-non-strict-2.js.ftl-eager-no-cjit-b3o1
stress/es6-default-parameters.js.ftl-eager
v8-v6/v8-richards.js.ftl-no-cjit-validate-sampling-profiler
stress/type-of-functions-and-objects.js.default
stress/class-derived-from-null.js.ftl-eager
wasm.yaml/wasm/function-tests/stack-overflow.js.wasm-no-call-ic
stress/object-toString-with-proxy.js.ftl-eager-no-cjit-b3o1
stress/lexical-let-tdz.js.ftl-eager-no-cjit
stress/lexical-let-tdz.js.ftl-eager-no-cjit-b3o1
stress/multi-put-by-offset-reallocation-butterfly-cse.js.ftl-eager-no-cjit-b3o1
microbenchmarks/simple-poly-call-nested.js.ftl-no-cjit-no-put-stack-validate
stress/poly-call-exit-this.js.ftl-eager
stress/poly-call-exit-this.js.ftl-no-cjit-small-pool
airjs-tests.yaml/stress-test.js.ftl-no-cjit
stress/global-lexical-redefine-const.js.ftl-eager-no-cjit-b3o1
microbenchmarks/richards-empty-try-catch.js.ftl-no-cjit-b3o1
microbenchmarks/fold-put-structure.js.ftl-eager-no-cjit-b3o1
microbenchmarks/array-prototype-forEach.js.default
microbenchmarks/array-prototype-reduce.js.ftl-no-cjit-no-put-stack-validate
stress/spread-non-array.js.ftl-eager-no-cjit-b3o1
stress/pow-stable-results.js.ftl-eager-no-cjit
microbenchmarks/fake-iterators-that-throw-when-finished.js.ftl-no-cjit-small-pool
stress/multi-put-by-offset-reallocation-cases.js.ftl-eager-no-cjit-b3o1
microbenchmarks/deltablue-for-of.js.ftl-eager-no-cjit-b3o1
stress/poly-call-exit.js.ftl-eager-no-cjit-b3o1
stress/lexical-let-not-strict-mode.js.ftl-eager-no-cjit
microbenchmarks/richards-try-catch.js.ftl-no-cjit-validate-sampling-profiler
stress/class-syntax-tdz.js.ftl-eager-no-cjit-b3o1
stress/es6-default-parameters.js.ftl-eager-no-cjit
stress/eval-func-decl-block-with-var-and-remove.js.ftl-eager
stress/multi-put-by-offset-reallocation-butterfly-cse.js.ftl-eager-no-cjit
stress/v8-deltablue-strict.js.ftl-eager-no-cjit-b3o1
stress/arrowfunction-lexical-bind-arguments-non-strict-2.js.ftl-eager
stress/const-tdz.js.ftl-eager-no-cjit
microbenchmarks/richards-empty-try-catch.js.ftl-no-cjit-validate-sampling-profiler
stress/poly-call-exit-this.js.ftl-no-cjit-no-inline-validate
stress/const-loop-semantics.js.ftl-eager-no-cjit
microbenchmarks/simple-poly-call.js.ftl-eager-no-cjit-b3o1
microbenchmarks/fold-multi-put-by-offset-to-replace-or-transition-put-by-offset.js.ftl-eager-no-cjit-b3o1
microbenchmarks/fold-get-by-id-to-multi-get-by-offset.js.default
stress/arrowfunction-lexical-bind-arguments-strict.js.ftl-eager-no-cjit
microbenchmarks/array-prototype-every.js.default
microbenchmarks/array-prototype-some.js.default
microbenchmarks/simple-poly-call-nested.js.ftl-no-cjit-b3o1
jsc-layout-tests.yaml/js/script-tests/regress-150513.js.layout-ftl-eager-no-cjit
stress/constant-folding-osr-exit.js.ftl-no-cjit-validate-sampling-profiler
stress/global-lexical-redefine-const.js.ftl-eager
microbenchmarks/delta-blue-try-catch.js.ftl-eager
microbenchmarks/simple-poly-call-nested.js.ftl-eager
stress/const-tdz.js.ftl-eager
v8-v6/v8-deltablue.js.ftl-no-cjit-validate-sampling-profiler
microbenchmarks/deltablue-for-of.js.ftl-eager
microbenchmarks/weird-inlining-const-prop.js.ftl-no-cjit-no-inline-validate
stress/type-of-functions-and-objects.js.ftl-no-cjit-no-put-stack-validate
microbenchmarks/richards-empty-try-catch.js.default
microbenchmarks/richards-try-catch.js.default
microbenchmarks/array-prototype-some.js.ftl-no-cjit-validate-sampling-profiler
stress/weird-equality-folding-cases.js.ftl-no-cjit-no-put-stack-validate
stress/constant-folding-osr-exit.js.ftl-no-cjit-b3o1
stress/poly-call-exit-this.js.ftl-no-cjit-b3o1
stress/type-of-functions-and-objects.js.ftl-no-cjit-b3o1
wasm.yaml/wasm/js-api/export-arity.js.wasm-no-call-ic
stress/multi-put-by-offset-reallocation-cases.js.ftl-eager-no-cjit
jsc-layout-tests.yaml/js/script-tests/arrowfunction-lexical-bind-arguments-strict.js.layout-ftl-eager-no-cjit
microbenchmarks/simple-poly-call-nested.js.default
microbenchmarks/fake-iterators-that-throw-when-finished.js.ftl-no-cjit-b3o1
microbenchmarks/array-prototype-reduce.js.default
microbenchmarks/array-prototype-reduceRight.js.ftl-no-cjit-b3o1
microbenchmarks/v8-raytrace-with-try-catch.js.ftl-eager-no-cjit-b3o1
microbenchmarks/delta-blue-try-catch.js.ftl-eager-no-cjit-b3o1
wasm.yaml/wasm/function-tests/stack-overflow.js.wasm-no-tls-context
microbenchmarks/delta-blue-try-catch.js.ftl-no-cjit-b3o1
microbenchmarks/simple-poly-call-nested.js.ftl-eager-no-cjit-b3o1
microbenchmarks/fold-put-by-id-to-multi-put-by-offset.js.ftl-eager
stress/v8-richards-strict.js.ftl-eager
wasm.yaml/wasm/fuzz/export-function.js.wasm-no-tls-context
stress/super-property-access-tdz.js.ftl-eager-no-cjit-b3o1
stress/v8-richards-strict.js.default
v8-v6/v8-richards.js.ftl-no-cjit-b3o1
stress/arrowfunction-tdz-2.js.ftl-no-cjit-validate-sampling-profiler
stress/constant-folding-osr-exit.js.ftl-no-cjit-no-inline-validate
stress/arrowfunction-tdz-2.js.ftl-no-cjit-small-pool
stress/lexical-let-not-strict-mode.js.ftl-eager-no-cjit-b3o1
microbenchmarks/getter-richards.js.default
wasm.yaml/wasm/function-tests/stack-overflow.js.wasm-slow-memory
stress/poly-call-exit.js.ftl-no-cjit-validate-sampling-profiler
v8-v6/v8-deltablue.js.ftl-eager
stress/type-of-functions-and-objects.js.ftl-no-cjit-validate-sampling-profiler
stress/arrowfunction-lexical-bind-arguments-strict.js.ftl-eager
stress/const-not-strict-mode.js.ftl-eager-no-cjit
microbenchmarks/fold-put-by-id-to-multi-put-by-offset.js.ftl-no-cjit-validate-sampling-profiler
microbenchmarks/array-prototype-every.js.ftl-no-cjit-b3o1
wasm.yaml/wasm/js-api/export-arity.js.wasm-slow-memory
stress/spread-calling.js.ftl-eager-no-cjit-b3o1
basic-tests.yaml/stress-test.js.default
stress/eval-func-decl-in-global-of-eval.js.ftl-eager-no-cjit-b3o1
wasm.yaml/wasm/function-tests/stack-overflow.js.default-wasm
stress/global-lexical-redefine-const.js.ftl-eager-no-cjit
stress/spread-calling.js.ftl-no-cjit-validate-sampling-profiler
v8-v6/v8-deltablue.js.default
stress/typedarray-access-neutered.js.ftl-eager
stress/const-loop-semantics.js.ftl-eager-no-cjit-b3o1
v8-v6/v8-richards.js.ftl-eager
microbenchmarks/fold-multi-put-by-offset-to-put-by-offset.js.ftl-eager-no-cjit-b3o1
stress/v8-richards-strict.js.ftl-no-cjit-no-inline-validate
microbenchmarks/fold-put-by-id-to-multi-put-by-offset.js.ftl-no-cjit-b3o1
v8-v6/v8-richards.js.ftl-eager-no-cjit
microbenchmarks/deltablue-for-of.js.ftl-no-cjit-validate-sampling-profiler
microbenchmarks/deltablue-for-of.js.ftl-no-cjit-no-put-stack-validate
stress/v8-richards-strict.js.ftl-eager-no-cjit
v8-v6/v8-deltablue.js.ftl-no-cjit-no-put-stack-validate
stress/with.js.default
microbenchmarks/richards-try-catch.js.ftl-no-cjit-no-inline-validate
microbenchmarks/richards-empty-try-catch.js.ftl-no-cjit-no-put-stack-validate
stress/poly-call-exit-this.js.default
microbenchmarks/array-prototype-reduceRight.js.default
microbenchmarks/array-prototype-every.js.ftl-no-cjit-no-put-stack-validate
microbenchmarks/array-prototype-some.js.ftl-no-cjit-b3o1
wasm.yaml/wasm/function-tests/memory-access-past-4gib.js.wasm-no-tls-context
stress/spread-calling.js.default
stress/poly-call-exit.js.ftl-eager-no-cjit
stress/typedarray-view-string-properties-neutered.js.ftl-eager
stress/eval-func-decl-block-with-var-sinthesize.js.ftl-eager-no-cjit-b3o1
stress/poly-call-exit-this.js.ftl-eager-no-cjit
stress/arrowfunction-tdz-2.js.default
microbenchmarks/delta-blue-try-catch.js.default
stress/poly-call-exit.js.default
stress/v8-richards-strict.js.ftl-no-cjit-no-put-stack-validate
stress/spread-calling.js.ftl-no-cjit-no-inline-validate
stress/typedarray-access-neutered.js.ftl-eager-no-cjit-b3o1
stress/poly-call-exit.js.ftl-eager
microbenchmarks/simple-poly-call-nested.js.ftl-no-cjit-small-pool
stress/poly-call-exit.js.ftl-no-cjit-no-put-stack-validate
stress/multi-put-by-offset-reallocation-butterfly-cse.js.ftl-eager
microbenchmarks/richards-try-catch.js.ftl-no-cjit-b3o1
stress/lexical-let-not-strict-mode.js.ftl-eager
microbenchmarks/fake-iterators-that-throw-when-finished.js.ftl-no-cjit-no-inline-validate
stress/type-of-functions-and-objects.js.ftl-eager-no-cjit-b3o1
microbenchmarks/simple-poly-call.js.ftl-eager
wasm.yaml/wasm/fuzz/export-function.js.wasm-eager-jettison
microbenchmarks/array-prototype-forEach.js.ftl-no-cjit-no-put-stack-validate
microbenchmarks/getter-richards.js.ftl-no-cjit-validate-sampling-profiler
v8-v6/v8-richards.js.ftl-eager-no-cjit-b3o1
stress/lexical-let-loop-semantics.js.ftl-eager
microbenchmarks/simple-poly-call-nested.js.ftl-no-cjit-validate-sampling-profiler
microbenchmarks/simple-poly-call.js.ftl-eager-no-cjit
cdjs-tests.yaml/main.js.default
v8-v6/v8-richards.js.default
stress/v8-richards-strict.js.ftl-eager-no-cjit-b3o1
v8-v6/v8-deltablue.js.ftl-eager-no-cjit-b3o1
stress/v8-deltablue-strict.js.ftl-no-cjit-no-inline-validate
stress/const-semantics.js.ftl-eager-no-cjit
cdjs-tests.yaml/main.js.ftl-no-cjit
stress/const-semantics.js.ftl-eager-no-cjit-b3o1
stress/typedarray-view-string-properties-neutered.js.ftl-no-cjit-b3o1
stress/v8-richards-strict.js.ftl-no-cjit-b3o1
microbenchmarks/fold-put-by-id-to-multi-put-by-offset.js.ftl-no-cjit-no-put-stack-validate
v8-v6/v8-richards.js.ftl-no-cjit-no-put-stack-validate
microbenchmarks/array-prototype-reduce.js.ftl-no-cjit-validate-sampling-profiler
stress/eval-func-decl-block-with-var-and-remove.js.ftl-eager-no-cjit
wasm.yaml/wasm/fuzz/export-function.js.wasm-slow-memory
wasm.yaml/wasm/function-tests/memory-access-past-4gib.js.wasm-no-call-ic
stress/eval-func-decl-block-with-var-sinthesize.js.ftl-eager-no-cjit
microbenchmarks/array-prototype-reduce.js.ftl-no-cjit-b3o1
stress/with.js.ftl-no-cjit-no-put-stack-validate
stress/arith-modulo-twice.js.ftl-eager-no-cjit-b3o1
stress/fold-multi-get-by-offset-to-get-by-offset-without-folding-the-structure-check.js.default
stress/arrowfunction-tdz-2.js.ftl-no-cjit-no-put-stack-validate
microbenchmarks/deltablue-for-of.js.ftl-eager-no-cjit
microbenchmarks/simple-poly-call-nested.js.ftl-no-cjit-no-inline-validate
stress/poly-call-exit.js.ftl-no-cjit-small-pool
stress/v8-deltablue-strict.js.ftl-no-cjit-validate-sampling-profiler
stress/eval-func-decl-in-eval-within-block-with-let.js.ftl-eager
stress/constant-folding-osr-exit.js.default
executableAllocationFuzz.yaml/executableAllocationFuzz/v8-raytrace.js.executable-allocation-fuzz-default
wasm.yaml/wasm/function-tests/stack-overflow.js.wasm-no-cjit-yes-tls-context
stress/const-not-strict-mode.js.ftl-eager-no-cjit-b3o1
stress/class-derived-from-null.js.ftl-eager-no-cjit
airjs-tests.yaml/stress-test.js.default
stress/v8-richards-strict.js.ftl-no-cjit-validate-sampling-profiler
stress/typedarray-configure-index.js.ftl-eager-no-cjit-b3o1
stress/spread-calling.js.ftl-no-cjit-no-put-stack-validate
microbenchmarks/fold-multi-put-by-offset-to-replace-or-transition-put-by-offset.js.ftl-eager-no-cjit
stress/typedarray-view-string-properties-neutered.js.ftl-no-cjit-no-inline-validate
stress/typedarray-view-string-properties-neutered.js.default
stress/proxy-get-prototype-of.js.ftl-eager-no-cjit
microbenchmarks/for-of-iterate-array-entries.js.ftl-no-cjit-no-inline-validate
stress/proxy-get-prototype-of.js.ftl-eager-no-cjit-b3o1
stress/poly-call-exit-this.js.ftl-eager-no-cjit-b3o1
jsc-layout-tests.yaml/js/script-tests/arrowfunction-lexical-bind-arguments-non-strict.js.layout-ftl-eager-no-cjit
stress/weird-equality-folding-cases.js.ftl-no-cjit-validate-sampling-profiler
stress/const-tdz.js.ftl-eager-no-cjit-b3o1
stress/spread-non-array.js.ftl-no-cjit-validate-sampling-profiler
stress/arrowfunction-lexical-bind-arguments-strict.js.ftl-eager-no-cjit-b3o1
stress/eval-func-decl-in-global-of-eval.js.ftl-eager-no-cjit
basic-tests.yaml/stress-test.js.ftl-no-cjit
stress/arrowfunction-lexical-bind-superproperty.js.ftl-no-cjit-no-inline-validate
microbenchmarks/delta-blue-try-catch.js.ftl-no-cjit-no-inline-validate
microbenchmarks/deltablue-for-of.js.default
stress/lexical-let-loop-semantics.js.ftl-eager-no-cjit-b3o1
stress/multi-put-by-offset-reallocation-cases.js.ftl-eager
stress/eval-func-decl-in-eval-within-block-with-let.js.ftl-eager-no-cjit-b3o1
microbenchmarks/array-prototype-map.js.default
stress/arrowfunction-lexical-bind-superproperty.js.ftl-no-cjit-validate-sampling-profiler
wasm.yaml/wasm/function-tests/memory-access-past-4gib.js.wasm-no-cjit-yes-tls-context
microbenchmarks/emscripten-cube2hash.js.ftl-eager-no-cjit-b3o1
wasm.yaml/wasm/function-tests/stack-overflow.js.wasm-eager-jettison
microbenchmarks/richards-try-catch.js.ftl-no-cjit-no-put-stack-validate
stress/lexical-let-loop-semantics.js.ftl-eager-no-cjit
v8-v6/v8-deltablue.js.ftl-eager-no-cjit
microbenchmarks/array-prototype-map.js.ftl-no-cjit-validate-sampling-profiler
stress/simple-polyvariant-call-inlining-example.js.ftl-no-cjit-no-inline-validate
stress/typedarray-view-string-properties-neutered.js.ftl-no-cjit-small-pool
stress/lexical-let-tdz.js.ftl-eager
stress/pow-stable-results.js.ftl-eager-no-cjit-b3o1
stress/set-iterators-next.js.ftl-eager-no-cjit
stress/weird-equality-folding-cases.js.ftl-eager
stress/weird-equality-folding-cases.js.default
microbenchmarks/fake-iterators-that-throw-when-finished.js.default
microbenchmarks/v8-raytrace-with-try-catch.js.ftl-eager-no-cjit
ChakraCore.yaml/ChakraCore/test/typedarray/dataview.js.default
stress/poly-call-exit.js.ftl-no-cjit-b3o1
stress/v8-deltablue-strict.js.ftl-eager
stress/arrowfunction-lexical-bind-superproperty.js.ftl-no-cjit-no-put-stack-validate
microbenchmarks/getter-richards-try-catch.js.ftl-no-cjit-validate-sampling-profiler
stress/spread-non-array.js.ftl-no-cjit-b3o1
wasm.yaml/wasm/js-api/export-arity.js.default-wasm
stress/es6-default-parameters.js.ftl-eager-no-cjit-b3o1
wasm.yaml/wasm/js-api/export-arity.js.wasm-eager-jettison
microbenchmarks/fold-put-by-id-to-multi-put-by-offset.js.ftl-no-cjit-no-inline-validate
stress/reflect-construct.js.ftl-eager-no-cjit-b3o1
stress/typedarray-view-string-properties-neutered.js.ftl-no-cjit-no-put-stack-validate
microbenchmarks/fold-multi-get-by-offset-to-get-by-offset.js.ftl-eager-no-cjit-b3o1
stress/array-species-config-array-constructor.js.ftl-eager-no-cjit
microbenchmarks/array-prototype-forEach.js.ftl-no-cjit-b3o1
stress/proxy-set-prototype-of.js.ftl-eager-no-cjit-b3o1
v8-v6/v8-deltablue.js.ftl-no-cjit-no-inline-validate
stress/eval-func-decl-block-with-var-and-remove.js.ftl-eager-no-cjit-b3o1
stress/class-derived-from-null.js.ftl-eager-no-cjit-b3o1
wasm.yaml/wasm/js-api/export-arity.js.wasm-no-tls-context
stress/proxy-revoke.js.ftl-eager-no-cjit-b3o1
stress/with.js.ftl-no-cjit-small-pool
stress/poly-call-exit-this.js.ftl-no-cjit-validate-sampling-profiler
microbenchmarks/simple-poly-call-nested.js.ftl-eager-no-cjit
microbenchmarks/richards-empty-try-catch.js.ftl-no-cjit-no-inline-validate
jsc-layout-tests.yaml/js/slow-stress/script-tests/array-prototype-filter.js.ftl-no-cjit-validate-sampling-profiler
stress/typedarray-view-string-properties-neutered.js.ftl-no-cjit-validate-sampling-profiler
stress/spread-non-array.js.ftl-no-cjit-no-put-stack-validate
microbenchmarks/fake-iterators-that-throw-when-finished.js.ftl-no-cjit-no-put-stack-validate
jsc-layout-tests.yaml/js/script-tests/for-in-modify-in-loop.js.layout-ftl-no-cjit
stress/poly-call-exit.js.ftl-no-cjit-no-inline-validate
v8-v6/v8-richards.js.ftl-no-cjit-no-inline-validate
stress/with.js.ftl-no-cjit-b3o1
stress/arith-modulo-twice.js.ftl-eager-no-cjit
stress/with.js.ftl-no-cjit-validate-sampling-profiler
jsc-layout-tests.yaml/js/script-tests/for-in-modify-in-loop.js.layout
Comment 6 Build Bot 2017-10-09 19:12:15 PDT
Comment on attachment 323259 [details]
Patch

Attachment 323259 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/4807394

Number of test failures exceeded the failure limit.
Comment 7 Build Bot 2017-10-09 19:12:16 PDT
Created attachment 323269 [details]
Archive of layout-test-results from ews105 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 8 Build Bot 2017-10-09 20:10:41 PDT
Comment on attachment 323259 [details]
Patch

Attachment 323259 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/4807715

New failing tests:
imported/w3c/web-platform-tests/dom/ranges/Range-mutations-dataChange.html
imported/w3c/web-platform-tests/dom/ranges/Range-intersectsNode.html
imported/w3c/web-platform-tests/encoding/textdecoder-fatal-single-byte.html
webrtc/datachannel/multiple-connections.html
imported/w3c/web-platform-tests/encoding/textdecoder-labels.html
imported/w3c/web-platform-tests/dom/ranges/Range-mutations.html
js/for-in-modify-in-loop.html
imported/w3c/web-platform-tests/html/dom/reflection-grouping.html
imported/w3c/web-platform-tests/html/dom/reflection-misc.html
imported/w3c/web-platform-tests/dom/ranges/Range-compareBoundaryPoints.html
imported/w3c/web-platform-tests/dom/ranges/Range-isPointInRange.html
imported/w3c/web-platform-tests/dom/ranges/Range-comparePoint.html
imported/w3c/web-platform-tests/WebCryptoAPI/derive_bits_keys/hkdf.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/derive_bits_keys/test_hkdf.https.html
imported/w3c/web-platform-tests/html/dom/reflection-metadata.html
imported/w3c/web-platform-tests/html/dom/reflection-sections.html
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/test_failures.https.html
imported/w3c/web-platform-tests/encoding/api-invalid-label.html
imported/w3c/web-platform-tests/html/dom/reflection-forms.html
imported/w3c/web-platform-tests/html/dom/reflection-text.html
imported/w3c/web-platform-tests/dom/ranges/Range-set.html
js/slow-stress/array-prototype-filter.html
imported/w3c/web-platform-tests/html/dom/reflection-obsolete.html
imported/w3c/web-platform-tests/html/dom/reflection-tabular.html
imported/w3c/web-platform-tests/html/syntax/parsing/named-character-references.html
imported/w3c/web-platform-tests/html/dom/reflection-embedded.html
js/dom/domjit-function-get-element-by-id.html
imported/w3c/web-platform-tests/html/the-xhtml-syntax/parsing-xhtml-documents/xhtml-mathml-dtd-entity-10.htm
Comment 9 Build Bot 2017-10-09 20:10:43 PDT
Created attachment 323275 [details]
Archive of layout-test-results from ews101 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 10 Build Bot 2017-10-09 20:15:21 PDT
Comment on attachment 323259 [details]
Patch

Attachment 323259 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/4807823

New failing tests:
http/tests/paymentrequest/payment-request-abort-method.https.html
Comment 11 Build Bot 2017-10-09 20:15:23 PDT
Created attachment 323276 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 12 Build Bot 2017-10-09 20:31:06 PDT
Comment on attachment 323259 [details]
Patch

Attachment 323259 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/4807858

New failing tests:
imported/w3c/web-platform-tests/dom/ranges/Range-mutations-dataChange.html
imported/w3c/web-platform-tests/WebCryptoAPI/derive_bits_keys/test_hkdf.https.html
js/slow-stress/array-prototype-filter.html
imported/w3c/web-platform-tests/dom/ranges/Range-intersectsNode.html
imported/w3c/web-platform-tests/html/syntax/parsing/named-character-references.html
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/test_failures.https.html
webrtc/datachannel/multiple-connections.html
imported/w3c/web-platform-tests/encoding/textdecoder-labels.html
imported/w3c/web-platform-tests/encoding/api-invalid-label.html
js/for-in-modify-in-loop.html
imported/w3c/web-platform-tests/encoding/textdecoder-fatal-single-byte.html
js/dom/domjit-function-get-element-by-id.html
imported/w3c/web-platform-tests/html/the-xhtml-syntax/parsing-xhtml-documents/xhtml-mathml-dtd-entity-10.htm
Comment 13 Build Bot 2017-10-09 20:31:07 PDT
Created attachment 323279 [details]
Archive of layout-test-results from ews115 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 14 Robin Morisset 2017-10-10 09:11:11 PDT
Created attachment 323311 [details]
Patch
Comment 15 Build Bot 2017-10-10 09:13:33 PDT
Attachment 323311 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/dfg/DFGByteCodeParser.cpp:6138:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 16 Robin Morisset 2017-10-10 09:15:36 PDT
I had visibly forgotten to recompile before running the tests..
This time it should be fixed.
Comment 17 WebKit Commit Bot 2017-10-10 17:09:24 PDT
Comment on attachment 323311 [details]
Patch

Clearing flags on attachment: 323311

Committed r223159: <http://trac.webkit.org/changeset/223159>
Comment 18 WebKit Commit Bot 2017-10-10 17:09:26 PDT
All reviewed patches have been landed.  Closing bug.
Comment 19 Radar WebKit Bug Importer 2017-10-10 17:10:08 PDT
<rdar://problem/34923711>